summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2019-04-06 09:29:18 -0400
committerAnthony G. Basile <blueness@gentoo.org>2019-04-06 09:29:18 -0400
commitf552a7822aad236c1892906c0700c6b258cb53a5 (patch)
treebf006bda4c990520832fc823cdad176f8e8411f1 /www-servers/varnish
parentsci-libs/mpfi: Version bump to 1.5.3 (diff)
downloadgentoo-f552a7822aad236c1892906c0700c6b258cb53a5.tar.gz
gentoo-f552a7822aad236c1892906c0700c6b258cb53a5.tar.bz2
gentoo-f552a7822aad236c1892906c0700c6b258cb53a5.zip
www-servers/varnish: version bump to 6.2.0
Signed-off-by: Anthony G. Basile <blueness@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'www-servers/varnish')
-rw-r--r--www-servers/varnish/Manifest1
-rw-r--r--www-servers/varnish/varnish-6.2.0.ebuild103
2 files changed, 104 insertions, 0 deletions
diff --git a/www-servers/varnish/Manifest b/www-servers/varnish/Manifest
index 372d9c3ae8a..f7c3d06d803 100644
--- a/www-servers/varnish/Manifest
+++ b/www-servers/varnish/Manifest
@@ -5,3 +5,4 @@ DIST varnish-5.2.1.tgz 2827676 BLAKE2B 6f50a55a9b16d137eaec59aea98a0179b808bb67f
DIST varnish-6.0.1.tgz 3065822 BLAKE2B b99d0d50444872353367007f2ee97c5d5f0e60031ece7b07f8b2c3a7a84b31be88fe2b850304b1f2e47a35f35c2c41f43888bee1d1874721a72ad078acfddfa1 SHA512 057cb69ae6a4d980401effb7561d3a9b537216d8626fdf4e7bcc75971958517f51b6bd7f7af86c11bc92a2e77876831c577736dfcd11447ad0128f222c5ad138
DIST varnish-6.1.0.tgz 3137149 BLAKE2B 8db1fb3460a25763bd28c92fa8b9181711b497a7d1cadfbbf19794c9df3e64e60aefac87032892a02eed3ff380686f047fb67d8c7f70b602e65c63b69224e674 SHA512 48584fc2d938cc0759fa5d795992a0c6d5d9fb49db5f3063dca8d3d88c6282dac971ed268edc07bec95b4f25e26562089b1b84abdd26099e12be9ea66557716d
DIST varnish-6.1.1.tgz 3135623 BLAKE2B c39904fe2745ab601e7c1f6d85850fe1a83c19e8d80e8af5a60ac5f134817b26b3274ba62c78c3839fd7e6c2da3e58b6c211a7452d37dd864f0f658d500a6138 SHA512 67e546e5fee2d10ec038d7b011a3f61a0a056ce8a4813556526c8fce23bb1fe4e29952a773e6cbc2433c0228971a5e90693d5ce61f6cb5f2242e055e0ce13d18
+DIST varnish-6.2.0.tgz 3207400 BLAKE2B e35a3621fd55eb61da38f39554027575f646d24987c7fe64938da6da40e751bfd87019629d8b475c24b748d80dec213ae4b4bb6d762dcd42dff6fb7785ac8c47 SHA512 fc447c27fbe31ef96c7e5666cd83007467619d012c7587c252da6fc8dc00e9534c790f1558c568f610ef9a61f5a0a61dc367e3723d905dece525dc27ee236376
diff --git a/www-servers/varnish/varnish-6.2.0.ebuild b/www-servers/varnish/varnish-6.2.0.ebuild
new file mode 100644
index 00000000000..fe7cfa24cf5
--- /dev/null
+++ b/www-servers/varnish/varnish-6.2.0.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PYTHON_COMPAT=( python{3_5,3_6,3_7} pypy )
+
+inherit user autotools systemd python-r1
+
+DESCRIPTION="Varnish is a state-of-the-art, high-performance HTTP accelerator"
+HOMEPAGE="https://varnish-cache.org/"
+SRC_URI="http://varnish-cache.org/_downloads/${P}.tgz"
+
+LICENSE="BSD-2 GPL-2"
+SLOT="0/2"
+KEYWORDS="~amd64 ~mips ~ppc ~ppc64 ~x86"
+IUSE="jemalloc jit static-libs"
+
+CDEPEND="
+ sys-libs/readline:0=
+ dev-libs/libpcre[jit?]
+ jemalloc? ( dev-libs/jemalloc )
+ sys-libs/ncurses:0="
+
+#varnish compiles stuff at run time
+RDEPEND="
+ ${PYTHON_DEPS}
+ ${CDEPEND}
+ sys-devel/gcc"
+
+DEPEND="
+ ${CDEPEND}
+ dev-python/docutils
+ dev-python/sphinx
+ virtual/pkgconfig"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RESTRICT="test" #315725
+
+pkg_setup() {
+ ebegin "Creating varnish user and group"
+ enewgroup varnish
+ enewuser varnish -1 -1 /var/lib/varnish varnish
+ eend $?
+}
+
+src_prepare() {
+ # Remove -Werror bug #528354
+ sed -i -e 's/-Werror\([^=]\)/\1/g' configure.ac
+
+ # Upstream doesn't put varnish.m4 in the m4/ directory
+ # We link because the Makefiles look for the file in
+ # the original location
+ ln -sf ../varnish.m4 m4/varnish.m4
+
+ eapply_user
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ $(use_enable jit pcre-jit ) \
+ $(use_with jemalloc)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ python_replicate_script "${D}/usr/share/varnish/vmodtool.py"
+
+ newinitd "${FILESDIR}"/varnishlog.initd varnishlog
+ newconfd "${FILESDIR}"/varnishlog.confd varnishlog
+
+ newinitd "${FILESDIR}"/varnishncsa.initd varnishncsa
+ newconfd "${FILESDIR}"/varnishncsa.confd varnishncsa
+
+ newinitd "${FILESDIR}"/varnishd.initd-r4 varnishd
+ newconfd "${FILESDIR}"/varnishd.confd-r4 varnishd
+
+ insinto /etc/logrotate.d/
+ newins "${FILESDIR}/varnishd.logrotate-r2" varnishd
+
+ diropts -m750
+
+ keepdir /var/lib/varnish
+ keepdir /var/log/varnish
+
+ systemd_dounit "${FILESDIR}/${PN}d.service"
+
+ insinto /etc/varnish/
+ doins lib/libvmod_std/vmod.vcc
+ doins etc/example.vcl
+
+ dodoc README.rst
+ dodoc doc/changes.rst
+
+ fowners root:varnish /etc/varnish/
+ fowners varnish:varnish /var/lib/varnish/
+ fperms 0750 /var/lib/varnish/ /etc/varnish/
+}